: Class Constant

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ts.config
Class Constant

    java.lang.Object
      |
      +--ts.config.Constant

public final class Constant
extends java.lang.Object

Application universal Constants

Version:
  $Id: Constant.java,v 1.28 1999/12/06 22:15:06 hauk Exp $
Author:
  Jan-Henrik Haukeland <hauk@tildeslash.com>

Field Summary
`static java.lang.String` | `ABOUTMSG` About message
`static java.lang.String` | `CONF_DIALOG_TITLE` Configuration dialog title
`static int` | `EXIT_TIMEOUT` Exit timeout.
`static java.lang.String[]` | `FETCH_PROTOCOLS` All fetch mail protocols supported
`static java.lang.String` | `MAGIC_TERMINATOR` A MAGIC NUMBER that will terminate a MailParser when it sees this on a line by itself
`static java.lang.String` | `MAIL_BODY` Mail content
`static java.lang.String` | `MAIL_CC` Mail Carbon-copy field(s)
`static java.lang.String` | `MAIL_DATE` Mail date
`static java.lang.String` | `MAIL_FROM` Mail From field
`static java.lang.String[]` | `MAIL_HEADERS` All mail headers supported in Biff table
`static java.lang.String` | `MAIL_ID` Mail id
`static java.lang.String` | `MAIL_ORGANIZATION` Mail organization field
`static java.lang.String` | `MAIL_REPLY` Mail reply-to field
`static java.lang.String` | `MAIL_SUBJECT` Mail subject field
`static java.lang.String` | `MAIL_TO` Mail to field
`static java.lang.String` | `MAIL_XHEADER` Mail X-Header something field(s)
`static int` | `MAILSERVER_TIMEOUT` Mail server timeout.
`static java.lang.String` | `MBOX_PROTO` Internal Protocol name for the unix mailbox protocol
`static java.lang.String` | `POP3_PROTO` Internal Protocol name for the POP3 protocol
`static java.lang.String[]` | `SEND_PROTOCOLS` All send mail protocols supported
`static java.lang.String` | `SMTP_DIALOG_TITLE` Smtp dialog title
`static java.lang.String` | `SMTP_PROTO` Internal Protocol name for the smtp protocol
`static java.lang.String` | `USER_CONTROL_FILE` The full path to the users local controlfile.
`static java.lang.String` | `VERSION` The application version
`static java.lang.String` | `WAKEUP_HELLO` Wakeup server Greeting string
`static java.lang.String` | `WINDOW_TITLE` Main window title (tsbiff + version).
`static java.lang.String` | `X_MAILER` X-Mailer header value when sending mail from tsbiff

Method Summary
`static boolean` | `inFETCH_PROTOCOLS(java.lang.String s)` Returns true if submited string is in the FETCH_PROTOCOL set.
`static boolean` | `inMAIL_HEADERS(java.lang.String s)` Returns true if submited string is in the MAIL_HEADER set.
`static boolean` | `inSEND_PROTOCOLS(java.lang.String s)` Returns true if submited string is in the SEND_PROTOCOL set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

  The application version

### MAIL_ID

    public static final java.lang.String MAIL_ID

  Mail id

### MAIL_DATE

    public static final java.lang.String MAIL_DATE

  Mail date

### MAIL_REPLY

    public static final java.lang.String MAIL_REPLY

  Mail reply-to field

### MAIL_FROM

    public static final java.lang.String MAIL_FROM

  Mail From field

### MAIL_TO

    public static final java.lang.String MAIL_TO

  Mail to field

### MAIL_SUBJECT

    public static final java.lang.String MAIL_SUBJECT

  Mail subject field

### MAIL_ORGANIZATION

    public static final java.lang.String MAIL_ORGANIZATION

  Mail organization field

### MAIL_CC

    public static final java.lang.String MAIL_CC

  Mail Carbon-copy field(s)

### MAIL_XHEADER

    public static final java.lang.String MAIL_XHEADER

  Mail X-Header something field(s)

### MAIL_BODY

    public static final java.lang.String MAIL_BODY

  Mail content

### MAIL_HEADERS

    public static final java.lang.String[] MAIL_HEADERS

  All mail headers supported in Biff table

### MBOX_PROTO

    public static final java.lang.String MBOX_PROTO

  Internal Protocol name for the unix mailbox protocol

### POP3_PROTO

    public static final java.lang.String POP3_PROTO

  Internal Protocol name for the POP3 protocol

### FETCH_PROTOCOLS

    public static final java.lang.String[] FETCH_PROTOCOLS

  All fetch mail protocols supported

### SMTP_PROTO

    public static final java.lang.String SMTP_PROTO

  Internal Protocol name for the smtp protocol

### SEND_PROTOCOLS

    public static final java.lang.String[] SEND_PROTOCOLS

  All send mail protocols supported

### USER_CONTROL_FILE

    public static final java.lang.String USER_CONTROL_FILE

  The full path to the users local controlfile. It will reside in "user.home" with the name .tsbiffrc. E.g. /home/hauk/.tsbiffrc on Un*x or C:\.tsbiffrc on windows

### ABOUTMSG

    public static final java.lang.String ABOUTMSG

  About message

### WINDOW_TITLE

    public static final java.lang.String WINDOW_TITLE

  Main window title (tsbiff + version).

### CONF_DIALOG_TITLE

    public static final java.lang.String CONF_DIALOG_TITLE

  Configuration dialog title

### SMTP_DIALOG_TITLE

    public static final java.lang.String SMTP_DIALOG_TITLE

  Smtp dialog title

### MAILSERVER_TIMEOUT

    public static final int MAILSERVER_TIMEOUT

  Mail server timeout. The maximum time (in ms) to wait for establishing a connection to the mail server.

### EXIT_TIMEOUT

    public static final int EXIT_TIMEOUT

  Exit timeout. The maximum time to wait for any SafeTerminate objects to finnish before a System.exit(1) is executed. Value in miliseconds.

### MAGIC_TERMINATOR

    public static final java.lang.String MAGIC_TERMINATOR

  A MAGIC NUMBER that will terminate a MailParser when it sees this on a line by itself

### X_MAILER

    public static final java.lang.String X_MAILER

  X-Mailer header value when sending mail from tsbiff

### WAKEUP_HELLO

    public static final java.lang.String WAKEUP_HELLO

  Wakeup server Greeting string

Method Detail

### inMAIL_HEADERS

    public static boolean inMAIL_HEADERS(java.lang.String s)

  Returns true if submited string is in the MAIL_HEADER set.
  Parameters:
    `s` - String with a mailheader
  Returns:
    True if string is a legal mail header field

### inFETCH_PROTOCOLS

    public static boolean inFETCH_PROTOCOLS(java.lang.String s)

  Returns true if submited string is in the FETCH_PROTOCOL set.
  Parameters:
    `s` - String denominating a protocol
  Returns:
    True if string denotes a valid protocol

### inSEND_PROTOCOLS

    public static boolean inSEND_PROTOCOLS(java.lang.String s)

  Returns true if submited string is in the SEND_PROTOCOL set.
  Parameters:
    `s` - String denominating a protocol
  Returns:
    True if string denotes a valid protocol

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD